Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class MimeMultipartDataHandlerSerializer

    java.lang.Object
      org.apache.axis.encoding.ser.JAFDataHandlerSerializer
          org.apache.axis.encoding.ser.MimeMultipartDataHandlerSerializer

All Implemented Interfaces:
  java.io.Serializable, Serializer, Serializer

public class MimeMultipartDataHandlerSerializer
extends JAFDataHandlerSerializer

MimeMultipartDataHandler Serializer

Author:
  Russell Butek (butek@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`MimeMultipartDataHandlerSerializer()`

Method Summary
`void` | `serialize(QName name, org.xml.sax.Attributes attributes, java.lang.Object value, SerializationContext context)` Serialize a Source DataHandler quantity.

Methods inherited from class org.apache.axis.encoding.ser.JAFDataHandlerSerializer
`getMechanismType, writeSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### MimeMultipartDataHandlerSerializer

    public MimeMultipartDataHandlerSerializer()

Method Detail

### serialize

    public void serialize(QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          SerializationContext context)
                   throws java.io.IOException

  Serialize a Source DataHandler quantity.

  Specified by:
    `serialize` in interface `Serializer`
  Overrides:
    `serialize` in class `JAFDataHandlerSerializer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.